Package be.fgov.ehealth.rn.cbsspersonservice.protocol.v1

# Class RegisterPersonRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.rn.cbsspersonservice.protocol.v1.RegisterPersonRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class RegisterPersonRequest extends RequestType implements Serializable
Type defining the structure of the request to register a person based on the given person information

Java class for RegisterPersonRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegisterPersonRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ApplicationId" type="{urn:be:fgov:ehealth:rn:commons:v1}ApplicationIdType"/>
             <element name="Declaration" type="{urn:be:fgov:ehealth:rn:cbsspersonservice:core:v1}RegisterPersonDeclarationType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterPersonRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationId()`
  Gets the value of the applicationId property.
  `RegisterPersonDeclarationType`
  `getDeclaration()`
  Gets the value of the declaration property.
  `void`
  `setApplicationId(String value)`
  Sets the value of the applicationId property.
  `void`
  `setDeclaration(RegisterPersonDeclarationType value)`
  Sets the value of the declaration property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterPersonRequest

    public RegisterPersonRequest()

- ## Method Details

  - ### getApplicationId

    public String getApplicationId()
    Gets the value of the applicationId property.
    Returns:
      possible object is `String`

  - ### setApplicationId

    public void setApplicationId(String value)
    Sets the value of the applicationId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDeclaration

    public RegisterPersonDeclarationType getDeclaration()
    Gets the value of the declaration property.
    Returns:
      possible object is `RegisterPersonDeclarationType`

  - ### setDeclaration

    public void setDeclaration(RegisterPersonDeclarationType value)
    Sets the value of the declaration property.
    Parameters:
      `value` - allowed object is `RegisterPersonDeclarationType`